## [Trailer Video](https://www.youtube.com/watch?v=gcgQ5f5xF7o)

## Fogbound Lagoon?
Fogbound Lagoon is an alternate Stage 3 which intends to bring a new experience to the game with its water mechanics, unique enemy pool, and atmosphere. It should fit in nicely with the other stages in the game stylistically and balance wise. This also serves as an example stage for (hopefully) any stages created in the future. 
___

![](https://imgur.com/xwHzyet.png)

## Features

- Support for non-DLC players and DLC players. The interactable and monster pools will change depending on if SoTV is enabled.
- Four random newt statues.
- Working bazaar seer.
- Preon Accumulator Timed Chest similar to Rallypoint Delta. There are three spots.
- Water! You can float and so will the gups! Don't Die! No it doesn't have Minecraft anti-fall damage. It doesn't have drowning either.
- A new (DLC dependent) family event!
- Stage Aesthetic support.
- Spikestrip 2.0 support. Sigma Constructs spawn on the stage.
- Theres a funny guy hidden somewhere.

### Later down the road...

- Language translations. (Please message me on discord @JaceDaDorito if you are interested in doing language translations)
- Config options such as the DLC monster spawn pool being replaced by the normal one.
- Starstorm storm support.
- Bug fixes that crop up.

#### Uncertain
- Some vfx changes to make the stage look prettier.
- Custom Music? (This is a big maybe)

___

![](https://imgur.com/rZqHknK.png)

## Known Issues

- The water clipping certain vfx (specifically when they are coming out of the water into the water, and you are in the water) such as Xi Construct laser beam and Void Seeds. I think there is nothing I can do about this unless I write my own shader. If anyone is more knowledgable about calmwater shaders and know a solution let me know.
- Hank Sound effect clips off sometimes.

## Changelog
[1.0.6]
- Fogbound Lagoon no longer depends on R2API
- Fixed bug where newt statues sometimes never spawns
- Fixed bug where the Radio Tower message displayed the token instead of an actual message
- Added Ukrainian and Spanish language support
- New icon (Thank you Katie)

[1.0.5]
- Hope you enjoyed when the stage appeared in almost every run because I fixed that now... hopefully.
- Moved the permanent newt statue and made it random like the other newts. The permanent newt statue was too easy to get to. Hank wasn't touched don't worry.

[1.0.4]
- Fixed compatibility issue with Spikestrip 2.0, Sigma Constructs should spawn now
- Added Russian language support

[1.0.3]
- Added a weather controller to the SceneInfo, therefore fixing NRE issues with Starstorm 2
- Added Brass Contraption to be in both dlc and regular enemy pools. Let me know if this is way too much, the stage needed another heavy enemy.
- Added a third Timed Chest spot
- Fixed haunted texture.

[1.0.1] and [1.0.2]
- Fixed the README

[1.0.0]
- Initial Release!
___

![](https://imgur.com/6LzMJz2.png)

## Special Thanks and Credits

- IDeath - Creator of the node placer and lending me a hand on anything Addressable related.
- GrooveSalad - Code help and creator of the SlipDccs and SlipDccsPool extensions.
- Nebby - For being smarter than me and making RoR2Editor kit. Also he helped me learn code stuff so yeah.
- Dotflare - Never leaves me alone and forced me to allow him to model the bones on the bottom of the map. 
- pixlgray - Editor of the trailer.
- MoonlitWyvern - Helped me with footage for the trailer.
- Vaikyia - Playtesting, a player in the trailer, and a very chaotic person.
- Koopahunter197 / Iris - Playtesting, a player in the trailer, and made me remodel the beach.
- IbanPlay - Playtesting, a player in the trailer, and approval that my stage is good.
- Gavran - Playtesting, Lore Writer, and ripped a limb off my body each time Hank isn't networked.
- ItsDoge / Katie - New Icon art.
- Mystic - Russian translation
- El-Freddy - Spanish translation
- Damglador - Ukrainian translation
- ICap_I, WoolieGaming, and Race - Showcasing the mod! I am very happy all of you are having fun.
- The rest of the Slipstream Team for being great devs and helping me do what I love to do. Thank you all so much.

#### And Thank you to all the players who genuinely enjoy the mod. Crazy we hit 15k downloads!!!